Dim CurrentPath = Command(2)
Dim table1 = "table1.sbi"      : Dim table2 = "table2.sbi"
Dim table1n = "table1n.sbi"    : Dim table2n = "table2n.sbi"

Dim myChildFrame1 As wxMDIChildFrame = New wxMDIChildFrame( myframe, -1, "wxbeer 1.0 Homebrew [Basic Mode]", wxPoint(0,0), wxSize(655, 385), wxCAPTION | wxSYSTEM_MENU | wxMINIMIZE_BOX )
         
myChildFrame1.show(FALSE)
Dim panelgrid1 as wxPanel = new wxPanel(myChildFrame1, -1)

Dim myBmpSEP1 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpSEP1.LoadFile( RPath & "/" & "config_rep" , wxBITMAP_TYPE_PNG )
Dim imgSEP1 = New wxBitmapButton( panelgrid1, -1, myBMPSEP1, wxPoint(22, 5), wxSize(-1, -1))
imgSEP1.SetToolTip( "Configuración de reporte")

Dim myBmpSEP2 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpSEP2.LoadFile( RPath & "/" & "gen_rep" , wxBITMAP_TYPE_PNG )
Dim imgSEP2 = New wxBitmapButton( panelgrid1, -1, myBMPSEP2, wxPoint(75, 5), wxSize(-1, -1))


Dim myBmpSEP3 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpSEP3.LoadFile( RPath & "/" & "auto_comp" , wxBITMAP_TYPE_PNG )
Dim imgSEP3 = New wxBitmapButton( panelgrid1, -1, myBMPSEP3, wxPoint(128, 5), wxSize(-1, -1))

Dim myBmpSEP4 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpSEP4.LoadFile( RPath & "/" & "foro_help" , wxBITMAP_TYPE_PNG )
Dim imgSEP4 = New wxBitmapButton( panelgrid1, -1, myBMPSEP4, wxPoint(181, 5), wxSize(-1, -1))

Dim myBmpSEP5 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpSEP5.LoadFile( RPath & "/" & "help_basic" , wxBITMAP_TYPE_PNG )
Dim imgSEP5 = New wxBitmapButton( panelgrid1, -1, myBMPSEP5, wxPoint(234, 5), wxSize(-1, -1))
         

Dim grid = wxGrid(panelgrid1,-1,wxPoint(20,90),wxSize(308,220))
Dim ComboBox1 as wxComboBox = new wxComboBox(panelGrid1, 2,"ComboBox1", wxPoint(220, 60), wxSize(108, 20)),
ButtonIBU as wxButton = new wxButton(panelgrid1, 2,"&Calcular Ibu", wxPoint(555, 320), wxSize(72, 22)),
Button2 as wxButton = new wxButton(panelgrid1, 2,"&Calcular", wxPoint(480, 320), wxSize(72, 22)),
Button3 as wxButton = new wxButton(panelgrid1, 2,"&Tablas de aprovechamiento", wxPoint(22, 320), wxSize(180, 22))

ComboBox1.SetValue("kg")
ComboBox1.Append("kg")
ComboBox1.Append("lb")
ComboBox1.Append("onza")
ComboBox1.Append("g")

Dim ComboBox2 as wxComboBox = new wxComboBox(panelGrid1, 2,"ComboBox1", wxPoint(335, 60), wxSize(108, 20))
ComboBox2.SetValue("L")
ComboBox2.Append("L")
ComboBox2.Append("Galón")
ComboBox2.Append("Quart")
ComboBox2.Append("Pinta")


grid.CreateGrid(26, 2)
grid.SetColSize(3, 80)
grid.SetRowSize(4, 17)
grid.SetColSize(0, 145)
grid.SetCellValue(0, 0, "Evaporación en el hervor")
grid.SetCellValue(1, 0, "Cebada")
grid.SetCellValue(2, 0, "Rendimiento")
grid.SetCellValue(3, 0, "Trigo")
grid.SetCellValue(4, 0, "Rendimiento")
grid.SetCellValue(5, 0, "Maíz")
grid.SetCellValue(6, 0, "Rendimiento")
grid.SetCellValue(7, 0, "Arroz")
grid.SetCellValue(8, 0, "Rendimiento")
grid.SetCellValue(9, 0, "Azúcar")
grid.SetCellValue(10, 0, "Rendimiento")
grid.SetCellValue(11, 0, "Primera adición")
grid.SetCellValue(12, 0, "IBU deseado")
grid.SetCellValue(13, 0, "% de aprovechamiento")
grid.SetCellValue(14, 0, "% de alpha-ácidos del lúpulo")
grid.SetCellValue(15, 0, "Segunda adición")
grid.SetCellValue(16, 0, "IBU deseado")
grid.SetCellValue(17, 0, "% de aprovechamiento")
grid.SetCellValue(18, 0, "% de alpha-ácidos del lúpulo")
//
grid.SetCellValue(19, 0, "Pérdidas post-hervor")
grid.SetCellValue(20, 0, "1") : grid.SetCellValue(20, 1, "0")
grid.SetCellValue(21, 0, "2") : grid.SetCellValue(21, 1, "0")
grid.SetCellValue(22, 0, "3") : grid.SetCellValue(22, 1, "0")
grid.SetCellValue(23, 0, "4") : grid.SetCellValue(23, 1, "0")
grid.SetCellValue(24, 0, "5") : grid.SetCellValue(24, 1, "0")
grid.SetCellValue(25, 0, "6") : grid.SetCellValue(25, 1, "0")

grid.SetCellFont(0, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellFont(1, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellFont(3, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellFont(5, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellFont(7, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellFont(9, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellFont(11, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellFont(15, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellFont(19, 0, wxFont(8,wxDEFAULT,wxNORMAL,wxBOLD))
grid.SetCellTextColour(0, 0, wxRED)
grid.SetCellTextColour(21, 0, wxRED) : grid.SetCellTextColour(20, 1, wxRED)
grid.SetCellTextColour(22, 0, wxRED) : grid.SetCellTextColour(21, 1, wxRED)
grid.SetCellTextColour(23, 0, wxRED) : grid.SetCellTextColour(22, 1, wxRED)
grid.SetCellTextColour(24, 0, wxRED) : grid.SetCellTextColour(23, 1, wxRED)
grid.SetCellTextColour(25, 0, wxRED) : grid.SetCellTextColour(24, 1, wxRED)
grid.SetCellTextColour(20, 0, wxRED) : grid.SetCellTextColour(25, 1, wxRED)

grid.SetCellValue(0, 1, "0")
grid.SetCellValue(1, 1, "0")
grid.SetCellValue(2, 1, "0")
grid.SetCellValue(3, 1, "0")
grid.SetCellValue(4, 1, "0")
grid.SetCellValue(5, 1, "0")
grid.SetCellValue(6, 1, "0")
grid.SetCellValue(7, 1, "0")
grid.SetCellValue(8, 1, "0")
grid.SetCellValue(9, 1, "0")
grid.SetCellValue(10, 1, "0")
grid.SetCellValue(11, 1, "-------")
grid.SetCellValue(12, 1, "0")
grid.SetCellValue(13, 1, "0")
grid.SetCellValue(14, 1, "0")
grid.SetCellValue(15, 1, "-------")
grid.SetCellValue(16, 1, "0")
grid.SetCellValue(17, 1, "0")
grid.SetCellValue(18, 1, "0")
grid.SetCellValue(19, 1, "-------")


Dim TextCtrl1 as wxTextCtrl = new wxTextCtrl(panelgrid1, 1,"", wxPoint(100 , 60), wxSize(112, 20)),
StaticText1 as wxStaticText = new wxStaticText(panelgrid1, 2,"Cantidad de", wxPoint(21, 56), wxSize(70, 16)),
StaticText2 as wxStaticText = new wxStaticText(panelgrid1, 3,"cerveza final:", wxPoint(21, 71), wxSize(70, 16))

//List
Dim ListControl = new wxListCtrl(panelgrid1, -1,wxPoint(350,90),wxSize(277,222),wxLC_REPORT | wxLC_HRULES | wxLC_VRULES) 
ListControl.InsertColumnInfo(0,"Variable") 
ListControl.InsertColumnInfo(1,"Resultado") 
ListControl.InsertColumnInfo(2,"Unidad") 
ListControl.SetColumnWidth(0,140)
ListControl.SetColumnWidth(1,70)
ListControl.SetColumnWidth(2,70)

ListControl.InsertStringItem(0,0,"Pérdidas post-hervor en volumen") 
ListControl.InsertStringItem(1,0,"Cantidad de agua para el empaste") 
ListControl.InsertStringItem(2,0,"Cantidad de mosto antes del hervor") 
ListControl.InsertStringItem(3,0,"% de alcohol (volumen)")
ListControl.InsertStringItem(4,0,"Densidad antes de hervir")
ListControl.InsertStringItem(5,0,"Densidad después de hervir") 
ListControl.InsertStringItem(6,0,"IBU Final:") 
ListControl.InsertStringItem(7,0,"Gramos de lúpulo (Segunda adición)") 
ListControl.InsertStringItem(8,0,"Gramos de lúpulo (Primera adición)") 
ListControl.InsertStringItem(9,0,"Gramos de lúpulo (Total)") 
ListControl.InsertStringItem(10,0,"Grado Plato") 

ListControl.SetStringItem(0,1,"0") 
ListControl.SetStringItem(1,1,"0") 
ListControl.SetStringItem(2,1,"0")
ListControl.SetStringItem(3,1,"0")
ListControl.SetStringItem(4,1,"0")
ListControl.SetStringItem(5,1,"0")
ListControl.SetStringItem(6,1,"0")
ListControl.SetStringItem(7,1,"0") 
ListControl.SetStringItem(8,1,"0")
ListControl.SetStringItem(9,1,"0")
ListControl.SetStringItem(10,1,"0")

ListControl.SetStringItem(0,2,"P") 
ListControl.SetStringItem(1,2,"g")
ListControl.SetStringItem(2,2,"g")
ListControl.SetStringItem(3,2,"g") 
ListControl.SetStringItem(4,2,"IBU")
ListControl.SetStringItem(5,2,"kg/m^3") 
ListControl.SetStringItem(6,2,"kg/m^3") 
ListControl.SetStringItem(7,2,"%alc/v") 
ListControl.SetStringItem(8,2,"L") 
ListControl.SetStringItem(9,2,"L") 
ListControl.SetStringItem(10,2,"L")

 



